Bug Hunting Session
Bug 113908 - [PIVOT TABLE]: filter of grouped date disappears after resaving XLSX file
Summary: [PIVOT TABLE]: filter of grouped date disappears after resaving XLSX file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: dataLoss, filter:xlsx
Depends on:
Blocks: Pivot-Table-XLSX
  Show dependency treegraph
 
Reported: 2017-11-17 19:29 UTC by Roman Kuznetsov
Modified: 2019-04-14 15:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
diss filter pivot table.xlsx (11.99 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-11-17 19:30 UTC, Roman Kuznetsov
Details
diss filter pivot table after LO 6.0 without change of data.xlsx (9.77 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-11-17 19:30 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2017-11-17 19:29:53 UTC
Description:
in pivot table filter of grouped date disappears after resaving XLSX file 

Steps to Reproduce:
0. I created file with pivot table and customize filter of grouped date in MS Excel 2007
1. Open attach file "diss filter pivot table.xlsx" in LibreOffice Calc
2. Menu File-Save as..., select type XLSX, type new name of file, push Save
3. Open your new file XLSX in MS Excel (i tried 2007)
4. Select sheet with pivot table
5. Filter Date disappeared (there is cell with name, but there isn't filter). See file from attach "diss filter pivot table after LO 6.0 without change of data.xlsx"

Actual Results:  
Filter Date is disappear

Expected Results:
Filter Date is working OK


Reproducible: Always


User Profile Reset: No



Additional Info:
After open my file in LibreOffice version under 6.0, resave it and reopen it in MS Excel -> MS Excel crashes


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Roman Kuznetsov 2017-11-17 19:30:31 UTC
Created attachment 137835 [details]
diss filter pivot table.xlsx
Comment 2 Roman Kuznetsov 2017-11-17 19:30:55 UTC
Created attachment 137836 [details]
diss filter pivot table after LO 6.0 without change of data.xlsx
Comment 3 Buovjaga 2017-11-22 13:55:31 UTC
Repro.

Win 8.1 32-bit
MSO 2013
LibO Version: 6.0.0.0.alpha1+
Build ID: a0ebba3d8855fee0bcec04a10137ae3a4f9f0e77
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-22_04:47:05
Locale: fi-FI (fi_FI); Calc: group threaded
Comment 4 Bartosz 2017-11-24 20:07:28 UTC
How I could edit filter of grouped date in MS Excel?

I would like to recreate similar document by ownself.
How I could create such grouped filter?
Comment 5 Roman Kuznetsov 2017-11-25 07:47:38 UTC
(In reply to Bartosz from comment #4)
> How I could edit filter of grouped date in MS Excel?
> 
> I would like to recreate similar document by ownself.
> How I could create such grouped filter?


0. create table with date in one column and any data in another columns
1. insert pivot table
2. In dialogue Pivot Table Layout: move field "date" from "Available fields" to "Row fields", another field move to you need. Push "OK"
3. In pivot table right click on any cell with date and press F12 on keyboard. Opens dialogue "Grouping"
4. Select Intervals (checkbox) "Months" and "Years". Press "OK"
5. On pivot table right click and select from context menu "Edit layout"
6. In dialogue Pivot Table Layout: move fields "date" and "Years" from "Row fields" to "Page fields", another field move to you need. Push "OK"
7. In top of pivot table must creates two filter
Comment 6 Roman Kuznetsov 2019-02-06 13:05:01 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: ed707a4806a489467c6d9be7d1b787dab94b5f78
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 7 Roman Kuznetsov 2019-04-12 13:10:16 UTC
https://gerrit.libreoffice.org/#/c/69653/
Comment 8 Commit Notification 2019-04-12 16:01:12 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b082998401e37e6c7534906601bc481423a6ded0%5E%21

tdf#113908: Implement exporting pivot tables' groups fields to XSLX

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Roman Kuznetsov 2019-04-14 15:05:46 UTC
verified in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 2e3b0c5d42d60d46cd9f8b8eda9424b095c63418
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-14_00:37:08
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

but there is another problem, I wrote about it in bug 124736